5. Paths
Prev | Appendix A. List of options for the configure script | Next

## 5. Paths

Compiled-in paths may be as long as 255 chars. If the --with-stealth option is used, the limit is 127 chars. The paths to the database, log file, and pid/lock file can be overridden in the configuration file (see Section 1 ).

| Tip
If using NFS with clients on different hosts accesing the same files, you can set the database, log file, and pid/lock file names to "AUTO" in the configuration file to simply tack on the hostname on the compiled-in path. The same length limits apply.

--prefix=PREFIX

  The install prefix. Default is none, and using the Filesystem Hierarchy Standard 2.2 directory layout. If you prefer the GNU layout (everything under /usr/local), use --prefix=/usr/local. See Section 10 for details.

--sbindir=DIR

  The binary directory (default is `/usr/local/sbin`)

--localstatedir=DPFX

  The state data directory prefix (default is `/var`). Data will be written to DPFX/lib/ install_name.

--with-state-dir=DIR

  The state data directory (default is `DPFX/lib/install_name`). Data will be written to this directory.

--mandir=MPREFIX

  The man directory directory prefix (default is `/usr/local/share/man`).

--with-tmp-dir=TPFX

  The directory where tmp files are created (config/database downloads from server, extracted PGP-signed parts of config/database files) (default is HOME).

--with-config-file=FILE

  The full path of the configuration file (default is `/etc/(install_name)rc`).

--with-log-file=FILE

  The path of the log file (default is `DPFX/log/samhain_log`).

--with-pid-file=FILE

  The path of the PID file (default is `DPFX/run/(install_name).pid`).

--with-html-file=FILE

  [SERVER ONLY] The path of the HTML status file where the current status of clients is displayed (default is `DPFX/log/(install_name).html`).

--with-console=PATH

  The path of the console (default is `/dev/console`). This may be a FIFO.

--with-altconsole=PATH

  The path of a second console (default is none). This may be a FIFO. If defined, console output will always go to both console devices (but note that console devices are only used when running as daemon).

Prev | Up | Next
4. Client/Server Connectivity | Home | Appendix B. List of command line options